@import '../../styles/mixins.scss';

$form-width-desktop: 61%;
$form-width-mobile: 75%;

.login-form {
  .title {
    flex: 1;
    width: $form-width-desktop;
    float: left;
  }

  .text {
    text-align: left;
    width: $form-width-desktop;
    margin-bottom: 10px;
  }

  .form {
    flex: 3;
    display: flex;
    flex-direction: column;
    width: $form-width-desktop;

    .text-field {
      flex: 1;
      max-height: 50px;
      margin-top: 22px;
      margin-bottom: 22px;
    }

    .forgot-password {
      display: flex;
      flex: 1;
      flex-direction: row;
      align-items: flex-end;
      justify-content: flex-end;

      .forgot-password-text {
        text-align: left;
      }
    }

    .button {
      width: 95px;
      font-weight: 700;
    }
  }

  @include mobile() {
    .title {
      flex: 0;
      width: $form-width-mobile;
      margin-bottom: 20px;
    }
    
    .text {
      width: $form-width-mobile;
      flex: 0;
      margin-bottom: 20px;
    }

    .form {
      width: $form-width-mobile;
      .text-field {
        flex: 0.20;
      }

      .forgot-password {
        flex-wrap: wrap;
        margin-top: 20px;
        flex: 0;

        .forgot-password-text {
          flex: 1;
          min-width: fit-content;
        }
      }

      .button {
        margin: auto;
      }
    }
  }
}